%define mod_name Flask-Migrate

Name:			python3-flask-migrate
Version:		1.8.1
Release:		2%{?dist}
Summary:		SQLAlchemy data migration support for Flask

Group:			Development/Libraries
License:		MIT	
URL:        		https://github.com/miguelgrinberg/flask-migrate/
Source0:    		https://pypi.io/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:		noarch
BuildRequires:	        python34-devel
BuildRequires:	        python34-setuptools
Requires:		python3-flask-script
Requires:		python3-flask-SQLAlchemy
Requires:		python3-alembic

%description
Flask-Migrate is an extension that handles SQLAlchemy database migrations 
for Flask applications using Alembic. The database operations are provided 
as command line arguments for Flask-Script.

%prep
%setup -n %{mod_name}-%{version}
# delete the mac's .ds_store file
rm -f docs/.DS_Store

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.md LICENSE 
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/flask_migrate

%changelog
* Fri Jul 28 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.8.1-2
- Add dependencies

* Thu Jul 28 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 1.8.1-1
- Initial build for Rutgers CentOS 7
